libzypp: zypp::OriginEndpoint Class Reference

libzypp 17.38.7

zypp::OriginEndpoint Class Reference

Represents a single, configurable network endpoint, combining a URL with specific access settings. More...

`#include <zypp-core/MirroredOrigin.h>`

## Classes
struct | Private

## Public Member Functions
| OriginEndpoint ()
| OriginEndpoint (zypp::Url url)
| ~OriginEndpoint ()=default
| OriginEndpoint (const OriginEndpoint &)=default
| OriginEndpoint (OriginEndpoint &&)=default
OriginEndpoint & | operator= (const OriginEndpoint &)=default
OriginEndpoint & | operator= (OriginEndpoint &&)=default
const zypp::Url & | url () const
zypp::Url & | url ()
void | setUrl (const zypp::Url &newUrl)
bool | hasConfig (const std::string &key) const
std::string | scheme () const
bool | schemeIsDownloading () const
bool | isValid () const

## Private Attributes
RWCOW_pointer< Private > | _pimpl

## Detailed Description

Represents a single, configurable network endpoint, combining a URL with specific access settings.

An OriginEndpoint object encapsulates a Uniform Resource Locator (URL) and an associated configuration. This allows each endpoint (whether it's an authoritative source or a mirror) to have its own distinct configuration, such as priority, enabled status, region, timeouts configured via custom tags.

This class is primarily intended to be used by classes like MirroredOrigin to define the individual characteristics of the primary data source and each of its alternative mirror locations. By using OriginEndpoint, both authority and mirrors can be treated uniformly as configurable access points.

See also
  MirroredOrigin for an example of how OriginEndpoint instances are utilized.

Definition at line 41 of file MirroredOrigin.h.

## Constructor & Destructor Documentation

## ◆ OriginEndpoint() [1/4]

zypp::OriginEndpoint::OriginEndpoint | ( |  | ) |

Definition at line 36 of file MirroredOrigin.cc.

## ◆ OriginEndpoint() [2/4]

zypp::OriginEndpoint::OriginEndpoint | ( | zypp::Url | url | ) |

Definition at line 44 of file MirroredOrigin.cc.

## ◆ ~OriginEndpoint()

zypp::OriginEndpoint::~OriginEndpoint | ( |  | ) |
| default

## ◆ OriginEndpoint() [3/4]

zypp::OriginEndpoint::OriginEndpoint | ( | const OriginEndpoint & |  | ) |
| default

## ◆ OriginEndpoint() [4/4]

zypp::OriginEndpoint::OriginEndpoint | ( | OriginEndpoint && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

OriginEndpoint & zypp::OriginEndpoint::operator= | ( | const OriginEndpoint & |  | ) |
| default

## ◆ operator=() [2/2]

OriginEndpoint & zypp::OriginEndpoint::operator= | ( | OriginEndpoint && |  | ) |
| default

## ◆ url() [1/2]

const Url & zypp::OriginEndpoint::url | ( |  | ) | const

Definition at line 53 of file MirroredOrigin.cc.

## ◆ url() [2/2]

Url & zypp::OriginEndpoint::url | ( |  | ) |

Definition at line 48 of file MirroredOrigin.cc.

## ◆ setUrl()

void zypp::OriginEndpoint::setUrl | ( | const zypp::Url & | newUrl | ) |

Definition at line 58 of file MirroredOrigin.cc.

## ◆ hasConfig()

bool zypp::OriginEndpoint::hasConfig | ( | const std::string & | key | ) | const

Definition at line 63 of file MirroredOrigin.cc.

## ◆ scheme()

std::string zypp::OriginEndpoint::scheme | ( |  | ) | const

Returns
  Returns the endpoints scheme, this is the same as calling endpoint.url().getScheme()

Definition at line 68 of file MirroredOrigin.cc.

## ◆ schemeIsDownloading()

bool zypp::OriginEndpoint::schemeIsDownloading | ( |  | ) | const

Returns
  true if the Url has a downloading scheme

Definition at line 73 of file MirroredOrigin.cc.

## ◆ isValid()

bool zypp::OriginEndpoint::isValid | ( |  | ) | const

Definition at line 78 of file MirroredOrigin.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Private> zypp::OriginEndpoint::_pimpl
| private

Definition at line 119 of file MirroredOrigin.h.

The documentation for this class was generated from the following files:

- zypp-core/MirroredOrigin.h
- zypp-core/MirroredOrigin.cc